import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListApplicationRevisionsInput,
  ListApplicationRevisionsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export interface ListApplicationRevisionsCommandInput
  extends ListApplicationRevisionsInput {}
export interface ListApplicationRevisionsCommandOutput
  extends ListApplicationRevisionsOutput,
    __MetadataBearer {}
declare const ListApplicationRevisionsCommand_base: {
  new (
    input: ListApplicationRevisionsCommandInput
  ): import("@smithy/core/client").CommandImpl<
    ListApplicationRevisionsCommandInput,
    ListApplicationRevisionsCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: ListApplicationRevisionsCommandInput
  ): import("@smithy/core/client").CommandImpl<
    ListApplicationRevisionsCommandInput,
    ListApplicationRevisionsCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class ListApplicationRevisionsCommand extends ListApplicationRevisionsCommand_base {
  protected static __types: {
    api: {
      input: ListApplicationRevisionsInput;
      output: ListApplicationRevisionsOutput;
    };
    sdk: {
      input: ListApplicationRevisionsCommandInput;
      output: ListApplicationRevisionsCommandOutput;
    };
  };
}
